.button {
  padding: 5px 15px;
  border-radius: 10px;
  cursor: pointer;
  font-size: 1em;;
  margin: 0 2px;
}

.button-primary {
  color: $primary-color-light;
  border: 2px solid $primary-color-light;

  &:hover:not(.button-disabled) {
    color: white;
    background-color: $primary-color;
    border-color: $primary-color;
  }
}

.button-disabled {
  cursor: not-allowed;
}

.button-secondary {
  color: $black;
  border: 2px solid $black;

  &:hover:not(.button-disabled) {
    color: white;
    background-color: $black;
  }
}